Ubuntu

update to git version of screen

Reported by mon on 2008-01-17
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
screen (Debian)
Fix Released
Unknown
screen (Ubuntu)
Wishlist
Unassigned

Bug Description

Hi

There have been some nice features in gnu screen, like vertical split.

http://lists.gnu.org/archive/html/screen-users/2007-02/msg00000.html

can we have a snapshot in ubuntu? This features make sysadmin work more productive.

thanks

Daniel T Chen (crimsun) on 2008-11-24
Changed in screen:
importance: Undecided → Wishlist
Dustin Kirkland  (kirkland) wrote :

Is this bug still valid?

What version of screen would you like to see in Ubuntu?

:-Dustin

Micah Cowan (micahcowan) wrote :

It's still valid. Upstream Screen (now git, not cvs: http://git.savannah.gnu.org/gitweb/?p=screen.git) has a number of new features, and is shaping up to be pretty stable at this point. The main gating factor for the next release right now is a massive amount of documentation that needs doing (none of the new stuff is documented, and the man page has some additional update needs).

Dustin Kirkland  (kirkland) wrote :

Okay, it looks like we have the latest released version (4.0.3) available at:
 * http://ftp.gnu.org/gnu/screen/
which is from August 2008.

Do you have any idea of the upstream project's timeframe for officially releasing a new version?

:-Dustin

Micah Cowan (micahcowan) wrote :

Unfortunately, no (and I'm an upstream co-maintainer). As I said, it's pretty much just the docs, but there's a _lot_ of work to do there. There are a couple people who volunteered to do the docs, but I haven't seen anything out of them, so I'll have to find out where they're at. My primary focus is on Wget (which I also maintain), and even that has been suffering severely lately due to decreased time for working on it, so I'm afraid I really can't say. :\

Dustin Kirkland  (kirkland) wrote :

Hi Micah-

So I'm not the end-all authority on this, so take it with a grain of salt...

In general, we only really release non-versioned, SCM-snapshot versions of code in very exceptional circumstances. Usually this is when either upstream releases are not happening at all, or the current SCM-snapshop contains some critical/security bugfix that cannot be easily cherry-picked.

If you're blocking on documentation, I suggest you post a Call-for-volunteers to the Ubuntu-doc mailing list. I see people on that list asking for projects to work on, on a weekly basis. You might find one or two avid screen users there who would be willing to work on the documentation, with some direction.

:-Dustin

Micah Cowan (micahcowan) wrote :

Yeah; at the moment I need to ascertain what the status is for the existing volunteers on that, though. There are other sources for volunteers, too, should it become clear that I need to find some others. I sent a mail to them just recently, and am waiting to hear back.

I personally don't care whether snapshots are made available (I'm going to be constantly rebuilding from source anyway, so...), just commenting on this request for one.

mon, I believe there are Debian source packages for somewhat more recent (non-)versions of screen, so you might dig around for that.

Dustin Kirkland  (kirkland) wrote :

Micah-

According to:
 * http://packages.qa.debian.org/s/screen.html
we're based off of the most recent Debian screen package (4.0.3-11)

If you (upstream?) were to release before Jaunty's Feature Freeze (Feb 19), I would be happy to merge that into Jaunty, and file the requisite exception to upload a new merge into the archive.

:-Dustin

I don't think we'll manage to make that date; there is still a large
amount of documentation work left to be done. Hopefully we'll make
Kreepy Kangaroo ;)

Just marking as Confirmed because I'd also like to see a newer version of screen in Debian and Ubuntu.

Changed in screen (Ubuntu):
status: New → Confirmed

Micah-

Any update on an upstream screen release?

:-Dustin

No, everyone's busy with other stuff :\

However, as you wrote that, I was (am) in the middle of writing an outline of exactly what doc work needs to be done before a release can happen. There are also a few small showstopper bugs that would need to be fixed, but the doc work is by far the more daunting. The idea is that if we're not getting to it, maybe other folks can ;)

I'll stick the outline up somewhere on http://aperiodic.net/screen/, and post to <email address hidden>.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

So, as the documentation seems to be one of the biggest remaining
obstacles to a 4.1.0 release of GNU Screen, and as it's been this way a
very long time, I've taken one step towards trying to ease the prospect
of getting this work done.

I've gone through and made a list of everything I could find that needed
documentation work. I've placed the work on the wiki:

http://aperiodic.net/screen/doc-requirements

Hopefully this will motivate folks to provide patches or whatnot to help
move us closer to a release (finally!)...

Tom, anything new with the manpage updates? And, can you supply what
you've got so far, so we can be sure to get it in the repo?

- --
Micah J. Cowan
Programmer, musician, typesetting enthusiast, gamer.
Maintainer of GNU Wget and GNU Teseq
http://micah.cowan.name/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkpLE8QACgkQ7M8hyUobTrEVdACeOcd8NrGf3zUSrP79fS+qsBWm
cc0AoIWlrxv2tEvFMekdTiWAUeD74TiX
=eGqH
-----END PGP SIGNATURE-----

Axel Beckert (xtaran) on 2011-09-03
summary: - update to cvs version of screen
+ update to git version of screen
Axel Beckert (xtaran) on 2011-10-05
Changed in screen (Ubuntu):
status: Confirmed → Fix Committed
Changed in screen (Debian):
status: Unknown → Fix Committed
Changed in screen (Debian):
status: Fix Committed → Fix Released
Axel Beckert (xtaran) on 2013-07-25
Changed in screen (Ubuntu):
status: Fix Committed → Confirmed
Dustin Kirkland  (kirkland) wrote :
Download full text (12.9 KiB)

This bug was fixed in the package screen - 4.1.0~20120320gitdb59704-9

---------------
screen (4.1.0~20120320gitdb59704-9) unstable; urgency=low

  * Build-Conflict against libelf-dev on non-linux (Closes: #684386)
  * Allow /dev/console to be a symlink. (Closes: #701173) Thanks to Igor
    Pashev for the report and patch.
  * screen-cleanup init.d script: Label /var/run/screen for SE Linux
    (Closes: #680360)
  * Add a package with debugging symbols (Closes: #715170)
  * Ensure that the title prompt can only appear once. (Closes: #625866)
  * No more pass --update-rcd-params='start 70 S .' to dh_installinit. The
    LSB headers of the init script already contain all necesssary
    information. (Closes: #717553)
  * Expand 50increase-max-TERM-length.patch to also allow larger terminal
    type names when using the "term" command interactively from inside
    screen or from .screenrc. (Closes: #491812)

 -- Axel Beckert <email address hidden> Mon, 22 Jul 2013 21:37:24 +0200

screen (4.1.0~20120320gitdb59704-8) unstable; urgency=low

  * Update debian/patches/13split_info_files.patch to change now ambiguous
    makeinfo option --split to --split-size. Fixes FTBFS with texinfo 5.x.
    (Closes: #707530)
  * Use doc/screen.info* instead of listing every file individually in
    debian/info.
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Revamp debian/rules
    + Use dh_auto_{configure,build}
    + Drop DPKG_EXPORT_BUILDFLAGS and /usr/share/dpkg/buildflags.mk
    + Drop manual DEB_BUILD_OPTIONS parsing
    + Use debian/clean instead of dh_clean parameters and add some more
      files to clean up
    + Use dh_install and debian/install instead of install and cp
    + Simplify variable usage
    + Fix dh_clean vs dh_prep in install target
    + No more ignore dh_installman errors
    + Finally switch to a dh7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort.
  * Fix lintian warning package-contains-info-dir-file

 -- Axel Beckert <email address hidden> Mon, 20 May 2013 17:04:14 +0200

screen (4.1.0~20120320gitdb59704-7) unstable; urgency=low

  * Extend 60-644788-screen-4.1.0-4.0.3-interoperability.patch:
    + Add support for detaching (Closes: #684342)
    + Document remaining issues in debian/NEWS

 -- Axel Beckert <email address hidden> Sun, 16 Sep 2012 13:42:12 +0200

screen (4.1.0~20120320gitdb59704-6) unstable; urgency=low

  * Apply patch by Julien Cristau <email address hidden> to add 4.0.3
    interoperability. (Closes: #683228; fixing the issue properly instead
    of working around it. Thanks!)
    + Drop all debconf handling and translations of debconf templates
      (Closes: #679747, #683227; Thanks Beatrice Torracca and Christian
      Perrier!)
    + Drop build-depends on po-debconf and pre-depends on debconf
    + Drop debian/NEWS (Closes: #678950)
    + Remove no more necessary lintian override
  * Screen's info pages are now split over more files than before. Also
    include the new file doc/screen.info-6 (Closes: #682283)

 -- Axel Beckert <email address hidden> Tue, 07 Aug 2012 08:54:42 +0200

screen (4.1.0~20120320gitdb59704-5) unstable; urgency=low

 ...

Changed in screen (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.